package com.foreverwin.mesnac.production.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.foreverwin.mesnac.production.model.CutterLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.foreverwin.modular.core.util.FrontPage;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 刀具记录表 服务类
 * </p>
 *
 * @author Philip
 * @since 2021-07-14
 */
public interface CutterLogService extends IService<CutterLog> {

    /**
     *  分页查询
     * @param frontPage
     * @return
     */
    IPage<CutterLog> selectPage(FrontPage<CutterLog> frontPage, CutterLog cutterLog);

    List<CutterLog> selectList(CutterLog cutterLog);

    void doAdd(Map<String, Object> map);

    List<CutterLog> findToolInfoBySfc(CutterLog cutterLog);

}